import java.io.*;
import java.util.*;

public class TestsGen {

    static int done = 0;

    static final Random rand = new Random(17239);

    static final int MAX_TESTS = 10000;

    static ArrayList<Integer> data = new ArrayList<Integer>();

    static void print() throws IOException {
        done++;
        System.err.println(done);
        PrintWriter out = new PrintWriter(String.format("../tests/%02d", done));
        out.println(data.size());
        for (int num : data) {
            out.println(String.format("%04d", num));
        }
        data.clear();
        out.close();
    }

    static void genSimple() throws IOException {
        data.add(2843);
        data.add(8243);
        data.add(100);
        print();
    }

    static void genAll() throws IOException {
        for (int i = 0; i < MAX_TESTS; i++) {
            data.add(i);
        }
        Collections.shuffle(data, rand);
        print();
    }

    public static void main(String[] args) throws IOException {
        boolean f = new File("../tests").mkdir();

        genSimple();

        genAll();
        return;
    }
}

